/// <reference types="node" />
import { IncomingMessage } from 'http';
import { FileStore } from '../../../components/file/file-store';
import { Group } from "../../../components/group/group";
import { GroupItemProps } from "../../../components/group/group.props";
import { SubProps } from "./sub.props";
export declare class Sub extends Group<SubProps, GroupItemProps> {
    address: string;
    queue?: {
        concurrent?: number;
        file?: string;
        password?: string;
        storage?: FileStore;
    };
    private jobsManager?;
    private server?;
    constructor();
    init(props: SubProps): void;
    exec(): Promise<never[]>;
    exit(): Promise<void>;
    dispose(): Promise<void>;
    getRequestBody(req: IncomingMessage): Promise<unknown>;
    private handleRequest;
}
