"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vars = void 0;
class Vars {
    localVars;
    globalVars;
    constructor(localVars, globalVars) {
        this.localVars = localVars;
        this.globalVars = globalVars;
    }
    get(key) {
        const vars = Vars.isGlobal(key) ? this.globalVars : this.localVars;
        return vars[key];
    }
    set(props) {
        if (!props || Array.isArray(props) || typeof props !== 'object')
            return;
        Object.keys(props)
            .forEach(key => {
            if (Vars.isGlobal(key[0])) {
                this.globalVars[key] = props[key];
            }
            else {
                this.localVars[key] = props[key];
            }
        });
    }
    static isGlobal(name) {
        return /[A-Z]/.test(name[0]);
    }
}
exports.Vars = Vars;
//# sourceMappingURL=vars.js.map